AbstractGriffonAddon (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractGriffonAddon

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.griffon.runtime.core.AbstractGriffonAddon

All Implemented Interfaces:
  GriffonAddon

    public abstract class AbstractGriffonAddon
    extends GroovyObjectSupport

Base implementation of the GriffonAddon interface.

Authors:
  Andres Almiray

Since:
  0.9.2

Field Summary
`private GriffonApplication` | `app`
`protected List` | `attributeDelegates`
`protected Map` | `events`
`protected Map` | `factories`
`private org.slf4j.Logger` | `log`
`protected Map` | `methods`
`protected Map` | `mvcGroups`
`protected List` | `postInstantiateDelegates`
`protected List` | `postNodeCompletionDelegates`
`protected List` | `preInstantiateDelegates`
`protected Map` | `props`
`private ResourceLocator` | `resourceLocator`

Constructor Summary
`AbstractGriffonAddon(GriffonApplication app)`
`protected AbstractGriffonAddon(GriffonApplication app, String loggingCategory)`

Method Summary
`void` | `addonBuilderInit(GriffonApplication app, FactoryBuilderSupport builder)`
`void` | `addonBuilderPostInit(GriffonApplication app, FactoryBuilderSupport builder)`
`void` | `addonInit(GriffonApplication app)`
`void` | `addonPostInit(GriffonApplication app)`
`void` | `execAsync(Runnable runnable)`
`Future` | `execFuture(ExecutorService executorService, Closure closure)`
`Future` | `execFuture(Closure closure)`
`Future` | `execFuture(ExecutorService executorService, Callable callable)`
`Future` | `execFuture(Callable callable)`
`void` | `execInsideUIAsync(Runnable runnable)`
`void` | `execInsideUISync(Runnable runnable)`
`void` | `execOutside(Runnable runnable)`
`void` | `execOutsideUI(Runnable runnable)`
`void` | `execSync(Runnable runnable)`
`GriffonApplication` | `getApp()`
`List` | `getAttributeDelegates()`
`Map` | `getEvents()`
`Map` | `getFactories()`
`org.slf4j.Logger` | `getLog()`
`Map` | `getMethods()`
`Map` | `getMvcGroups()`
`List` | `getPostInstantiateDelegates()`
`List` | `getPostNodeCompletionDelegates()`
`List` | `getPreInstantiateDelegates()`
`Map` | `getProps()`
`InputStream` | `getResourceAsStream(String name)`
`URL` | `getResourceAsURL(String name)`
`List` | `getResources(String name)`
`protected Map` | `groupDef(String[] parts)`
`boolean` | `isUIThread()`
`Object` | `newInstance(Class clazz, String type)` Creates a new instance of the specified class and type.

Methods inherited from class GroovyObjectSupport
setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### app

    private final GriffonApplication app

### attributeDelegates

    protected final List attributeDelegates

### events

    protected final Map events

### factories

    protected final Map factories

### log

    private final org.slf4j.Logger log

### methods

    protected final Map methods

### mvcGroups

    protected final Map mvcGroups

### postInstantiateDelegates

    protected final List postInstantiateDelegates

### postNodeCompletionDelegates

    protected final List postNodeCompletionDelegates

### preInstantiateDelegates

    protected final List preInstantiateDelegates

### props

    protected final Map props

### resourceLocator

    private final ResourceLocator resourceLocator

Constructor Detail

### AbstractGriffonAddon

    public AbstractGriffonAddon(GriffonApplication app)

### AbstractGriffonAddon

    protected AbstractGriffonAddon(GriffonApplication app, String loggingCategory)

Method Detail

### addonBuilderInit

    public void addonBuilderInit(GriffonApplication app, FactoryBuilderSupport builder)

### addonBuilderPostInit

    public void addonBuilderPostInit(GriffonApplication app, FactoryBuilderSupport builder)

### addonInit

    public void addonInit(GriffonApplication app)

### addonPostInit

    public void addonPostInit(GriffonApplication app)

### execAsync

    public void execAsync(Runnable runnable)

### execFuture

    public Future execFuture(ExecutorService executorService, Closure closure)

### execFuture

    public Future execFuture(Closure closure)

### execFuture

    public Future execFuture(ExecutorService executorService, Callable callable)

### execFuture

    public Future execFuture(Callable callable)

### execInsideUIAsync

    public void execInsideUIAsync(Runnable runnable)

### execInsideUISync

    public void execInsideUISync(Runnable runnable)

### execOutside

    public void execOutside(Runnable runnable)

### execOutsideUI

    public void execOutsideUI(Runnable runnable)

### execSync

    public void execSync(Runnable runnable)

### getApp

    public GriffonApplication getApp()

### getAttributeDelegates

    public List getAttributeDelegates()

### getEvents

    public Map getEvents()

### getFactories

    public Map getFactories()

### getLog

    public org.slf4j.Logger getLog()

### getMethods

    public Map getMethods()

### getMvcGroups

    public Map getMvcGroups()

### getPostInstantiateDelegates

    public List getPostInstantiateDelegates()

### getPostNodeCompletionDelegates

    public List getPostNodeCompletionDelegates()

### getPreInstantiateDelegates

    public List getPreInstantiateDelegates()

### getProps

    public Map getProps()

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

### getResourceAsURL

    public URL getResourceAsURL(String name)

### getResources

    public List getResources(String name)

### groupDef

    protected Map groupDef(String[] parts)

### isUIThread

    public boolean isUIThread()

### newInstance

    public Object newInstance(Class clazz, String type)

  Creates a new instance of the specified class and type.
  Triggers the Event.NEW_INSTANCE with the following parameters
  - clazz - the Class of the object
  - type - the symbolical type of the object
  - instance -> the object that was created
  Parameters:
    `clazz` - the Class for which an instance must be created
    `type` - a symbolical type, for example 'controller' or 'service'. May be null.
  Returns:
    a newly instantiated object of type `clazz`. Implementations must be sure to trigger an event of type Event.NEW_INSTANCE.

Groovy Documentation